JBoss API: Class NamingService

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Class NamingService

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.naming.NamingService

All Implemented Interfaces:
  org.jnp.server.MainMBean, javax.management.MBeanRegistration, NamingServiceMBean, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class NamingService
extends ServiceMBeanSupport
implements NamingServiceMBean

A JBoss service that starts the jnp JNDI server.

Version:
  $Revision: 1.11.4.5 $ Revisions: 20010622 scott.stark: Report IntialContext env for problem tracing
Author:
  Rickard Öberg, Scott Stark.

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.naming.NamingServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`NamingService()`

Method Summary
`int` | `getBacklog()`
`java.lang.String` | `getBindAddress()`
`java.lang.String` | `getClientSocketFactory()`
`java.lang.String` | `getName()`
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`int` | `getPort()`
`int` | `getRmiPort()`
`java.lang.String` | `getServerSocketFactory()`
`void` | `initService()`
`void` | `setBacklog(int backlog)`
`void` | `setBindAddress(java.lang.String host)`
`void` | `setClientSocketFactory(java.lang.String factoryClassName)`
`void` | `setJNPServerSocketFactory(java.lang.String factoryClassName)`
`void` | `setPort(int port)`
`void` | `setRmiPort(int port)`
`void` | `setServerSocketFactory(java.lang.String factoryClassName)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Methods inherited from interface org.jnp.server.MainMBean
`start, stop`

Constructor Detail

### NamingService

    public NamingService()

Method Detail

### setPort

    public void setPort(int port)

  Specified by:
    `setPort` in interface `org.jnp.server.MainMBean`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `org.jnp.server.MainMBean`

### setRmiPort

    public void setRmiPort(int port)

  Specified by:
    `setRmiPort` in interface `org.jnp.server.MainMBean`

### getRmiPort

    public int getRmiPort()

  Specified by:
    `getRmiPort` in interface `org.jnp.server.MainMBean`

### getBindAddress

    public java.lang.String getBindAddress()

  Specified by:
    `getBindAddress` in interface `org.jnp.server.MainMBean`

### setBindAddress

    public void setBindAddress(java.lang.String host)
                        throws java.net.UnknownHostException

  Specified by:
    `setBindAddress` in interface `org.jnp.server.MainMBean`

### getBacklog

    public int getBacklog()

  Specified by:
    `getBacklog` in interface `org.jnp.server.MainMBean`

### setBacklog

    public void setBacklog(int backlog)

  Specified by:
    `setBacklog` in interface `org.jnp.server.MainMBean`

### getClientSocketFactory

    public java.lang.String getClientSocketFactory()

  Specified by:
    `getClientSocketFactory` in interface `org.jnp.server.MainMBean`

### setClientSocketFactory

    public void setClientSocketFactory(java.lang.String factoryClassName)
                                throws java.lang.ClassNotFoundException,
                                       java.lang.InstantiationException,
                                       java.lang.IllegalAccessException

  Specified by:
    `setClientSocketFactory` in interface `org.jnp.server.MainMBean`

### getServerSocketFactory

    public java.lang.String getServerSocketFactory()

  Specified by:
    `getServerSocketFactory` in interface `org.jnp.server.MainMBean`

### setServerSocketFactory

    public void setServerSocketFactory(java.lang.String factoryClassName)
                                throws java.lang.ClassNotFoundException,
                                       java.lang.InstantiationException,
                                       java.lang.IllegalAccessException

  Specified by:
    `setServerSocketFactory` in interface `org.jnp.server.MainMBean`

### setJNPServerSocketFactory

    public void setJNPServerSocketFactory(java.lang.String factoryClassName)
                                   throws java.lang.ClassNotFoundException,
                                          java.lang.InstantiationException,
                                          java.lang.IllegalAccessException

  Specified by:
    `setJNPServerSocketFactory` in interface `org.jnp.server.MainMBean`

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                     javax.management.ObjectName name)
                                              throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### initService

    public void initService()
                     throws java.lang.Exception

  Overrides:
    `initService` in class `ServiceMBeanSupport`

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.